CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
nlohmann::detail::output_vector_adapter< CharType > Class Template Reference

output adapter for byte vectors More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_vector_adapter< CharType >:
Collaboration diagram for nlohmann::detail::output_vector_adapter< CharType >:

## Public Member Functions
| output_vector_adapter (std::vector< CharType > &vec) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
Public Member Functions inherited from nlohmann::detail::output_adapter_protocol< CharType >
virtual | ~output_adapter_protocol ()=default
| output_adapter_protocol ()=default
| output_adapter_protocol (const output_adapter_protocol &)=default
| output_adapter_protocol (output_adapter_protocol &&) noexcept=default
output_adapter_protocol & | operator= (const output_adapter_protocol &)=default
output_adapter_protocol & | operator= (output_adapter_protocol &&) noexcept=default

## Private Attributes
std::vector< CharType > & | v

## Detailed Description

### template<typename CharType>
class nlohmann::detail::output_vector_adapter< CharType >

output adapter for byte vectors

Definition at line 13155 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ output_vector_adapter()

template<typename CharType >

nlohmann::detail::output_vector_adapter< CharType >::output_vector_adapter | ( | std::vector< CharType > & | vec | ) |
| inlineexplicitnoexcept

Definition at line 13158 of file json.hpp.

## Member Function Documentation

## ◆ write_character()

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_character | ( | CharType | c | ) |
| inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13162 of file json.hpp.

References JSON_HEDLEY_NON_NULL.

## ◆ write_characters()

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |
| inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13168 of file json.hpp.

## Member Data Documentation

## ◆ v

template<typename CharType >

std::vector<CharType>& nlohmann::detail::output_vector_adapter< CharType >::v
| private

Definition at line 13174 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp